org.apache.struts2.url

## Class StrutsUrlDecoder

- java.lang.Object
- - org.apache.struts2.url.StrutsUrlDecoder

- All Implemented Interfaces:
    Serializable, UrlDecoder

      public class StrutsUrlDecoder
      extends Object
      implements UrlDecoder

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StrutsUrlDecoder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `decode(String input)` Decodes the input using default encoding, e.g.: struts.i18n.encoding
    `String` | `decode(String input, boolean isQueryString)` Decodes the input using default encoding, e.g.: struts.i18n.encoding
    `String` | `decode(String input, String encoding, boolean isQueryString)` Decodes the input using default encoding, e.g.: struts.i18n.encoding
    `void` | `setEncoding(String encoding)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StrutsUrlDecoder

          public StrutsUrlDecoder()

  - ### Method Detail

    - #### setEncoding

          public void setEncoding(String encoding)

    - #### decode

          public String decode(String input,
                               String encoding,
                               boolean isQueryString)

      Description copied from interface: `UrlDecoder`
      Decodes the input using default encoding, e.g.: struts.i18n.encoding
      Specified by:
        `decode` in interface `UrlDecoder`
      Parameters:
        `input` - String to decode
        `encoding` - encoding used in decoding
        `isQueryString` - indicates if input is a query string
      Returns:
        the decoded string

    - #### decode

          public String decode(String input,
                               boolean isQueryString)

      Description copied from interface: `UrlDecoder`
      Decodes the input using default encoding, e.g.: struts.i18n.encoding
      Specified by:
        `decode` in interface `UrlDecoder`
      Parameters:
        `input` - String to decode
        `isQueryString` - indicates if input is a query string
      Returns:
        the decoded string

    - #### decode

          public String decode(String input)

      Description copied from interface: `UrlDecoder`
      Decodes the input using default encoding, e.g.: struts.i18n.encoding
      Specified by:
        `decode` in interface `UrlDecoder`
      Parameters:
        `input` - String to decode
      Returns:
        the decoded string

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.